/**
 * @typedef {import('typeorm-model-generator').Column} Column
 * @typedef {import('typeorm-model-generator').Entity} Entity
 */

/**
 * Customizes the entity name.
 * @param {string} oldEntityName - The default entity name.
 * @param {Entity} entity - The entity.
 * @returns {string} The new entity name.
 */
function entityName(oldEntityName, entity) {
  return oldEntityName + 'Entity';
}

/**
 * Customizes the column name.
 * @param {string} oldColumnName - The default column name.
 * @param {Column} column - The column.
 * @returns {string} The new column name.
 */
function columnName(oldColumnName, column) {
  return oldColumnName;
}

/**
 * Customizes the file name.
 * @param {string} oldFileName - The default file name.
 * @returns {string} The new file name.
 */
function fileName(oldFileName) {
  return oldFileName.replace('Entity', '.entity');
}

module.exports = {
  entityName,
  columnName,
  fileName,
};
